package com.sunzee.model;

/**
 * 蹲位的当前状态
 */
public class HoleInformation {
    /**
     * 0:表示处于上厕所状态。
     * 1:表示没上厕所。
     * 2.表示什么状态都没有。
     */
    private int state;
    /**
     * 改变状态的时间是什么时候
     * 廁所中時間
     */
    private long timeDuration;
    /**
     * 改变状态的时间是什么时候
     * 出了廁所的時間
     */
    private long outTimeDuration;

    /**
     * 人体传感器的状态
     * 2：表示还没用过。
     * 0:表示没人
     * 1：表示有人
     */
    private String bodySensor = "2";

    /**
     * false表示没人
     * true表示有人
     */
    private boolean isUserAndEmpty =false;

    /**
     * 0：有人
     * 1：没人
     * 2：清洗中
     * 3：表示还没使用过这个变量
     */
    private String userStates="0";

    /**
     * 判断是否可以根据人体传感器进行清洗
     */
    private boolean isInBodySensor = false;

    public String getUserStates() {
        return userStates;
    }

    public void setUserStates(String userStates) {
        this.userStates = userStates;
    }

    public boolean isInBodySensor() {
        return isInBodySensor;
    }

    public void setInBodySensor(boolean inBodySensor) {
        isInBodySensor = inBodySensor;
    }

    public boolean isUserAndEmpty() {
        return isUserAndEmpty;
    }

    public void setUserAndEmpty(boolean userAndEmpty) {
        isUserAndEmpty = userAndEmpty;
    }

    public String getBodySensor() {
        return bodySensor;
    }

    public void setBodySensor(String bodySensor) {
        this.bodySensor = bodySensor;
    }

    public HoleInformation(int state, long timeDuration) {
        this.state = state;
        this.timeDuration = timeDuration;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public long getTimeDuration() {
        return timeDuration;
    }

    public void setTimeDuration(long timeDuration) {
        this.timeDuration = timeDuration;
    }

    public long getOutTimeDuration() {
        return outTimeDuration;
    }

    public void setOutTimeDuration(long outTimeDuration) {
        this.outTimeDuration = outTimeDuration;
    }

    @Override
    public String toString() {
        return "HoleInformation{" +
                "state=" + state +
                ", timeDuration=" + timeDuration +
                ", outTimeDuration=" + outTimeDuration +
                ", bodySensor='" + bodySensor + '\'' +
                ", isUserAndEmpty=" + isUserAndEmpty +
                '}';
    }
}
